<div class="housing-homeless">
  <app-content-banner [isDashboard]="false" pageName="Housing / Homeless" [isTutorialRequired]="true"
  [TutorialPageName]="'housing-homeless'"></app-content-banner>
  <mat-card class="housing-homeless-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <app-client-banner></app-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Housing / Homeless History</span>
            <mat-icon *ngIf="HHHStatus !== 2"
              [ngStyle]="{'color': HHHStatus == 0 ? pendingColor : HHHStatus == 1 ? completedColor :noColor}">
              {{HHHStatus == 1?'check_circle': HHHStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z0" fxLayout="column">
              <div class="example-container mat-elevation-z0">
                <app-homeless-history (homelessHistoryChanged)="onHomelessHistoryChange($event)"
                  [panelExpanded]="panelExpanded" (panelStateChanged)="onPanelChange($event)" [parentPageID]="1"
                  [pactApplicationID]="pactApplicationID">
                </app-homeless-history>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Housing Documents</span>
            <mat-icon *ngIf="HDStatus !== 2"
              [ngStyle]="{'color': HDStatus == 0 ? pendingColor : HDStatus == 1 ? completedColor :noColor}">
              {{HDStatus == 1?'check_circle': HDStatus == 0 ? 'watch_later': ''}}</mat-icon>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <!-- <app-document [docTitle]="['docTitle']" [preSelectedDocType]="55" -->
                <app-document [pactApplicationID]="pactApplicationID" [preSelectedDocType]="55" (docDataChanged)="onDocDataChanged($event)"> </app-document>
              </div>
            </div>
          </ng-template>
        </mat-tab>

      </mat-tab-group>
    </mat-card-content>
  </mat-card>
  <app-nav-footer [isSaveRequired]="false" (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()">
  </app-nav-footer>
</div>